View Issue Details

IDProjectCategoryView StatusLast Update
16326Bug reportsStatisticspublic2020-08-17 14:05
Reportertamiel Assigned Togabrieljenik  
PriorityhighSeverityblock 
Status closedResolutionfixed 
Product Version4.2.4 
Summary16326: Statistics filters do not reflect percentages and totals
Description

Upgrade from 3.12 to 4.24 and now when generating statistics, the filter correctly shows the filter shows "number of records in this query" correctly, but the total (gross) value still holds to "Total records in survey" value leading to percentages that extrapolate the real (filtered) number of records and percentages are off.
Tried to find if there is a new setup where is defined and looked at the manual but could not find anything. In version 3.12 it works correctly - total (gross) is calculated correctly. It doesn't seem to matter if "Subtotals based on displayed questions" is checked or not. The same results show up.

Steps To Reproduce

Go to statistics, select any filter criteria and select View summary of all available fields, view statistics -> tables and percentages.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.2.4+200520
I will donate to the project if issue is resolvedNo
BrowserFirefox, Chrome
Database & DB-Versionmysql Ver 15.1 Distrib 5.5.60-MariaDB
Server OS (if known)nginx
Webserver software & version (if known)1.12.2
PHP VersionPHP 7.2.19

Activities

tamiel

tamiel

2020-05-23 15:35

reporter  

3_lime.png (10,075 bytes)   
3_lime.png (10,075 bytes)   
2_lime.png (3,302 bytes)   
2_lime.png (3,302 bytes)   
1_lime.png (16,324 bytes)   
1_lime.png (16,324 bytes)   
tamiel

tamiel

2020-05-26 16:16

reporter   ~58046

More details and further developments of this issue can be found in https://forums.limesurvey.org/forum/installation-a-update-issues/121326-statistics-subtotal-shows-wrong-values-after-update#200062

asshank

asshank

2020-06-09 18:01

reporter   ~58227

Last edited: 2020-08-13 10:44

we experience the same issue, version 4.2.8+200608.
Filtering is not working anymore.

gabrieljenik

gabrieljenik

2020-08-04 18:41

developer   ~59303

Last edited: 2020-08-13 10:44

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1531

albeda1

albeda1

2020-08-04 19:12

reporter   ~59305

Last edited: 2020-08-13 10:44

Patch applied, It's working for me in 4.3.0. Great news

user225042

2020-08-11 17:02

  ~59409

Last edited: 2020-08-13 10:44

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
When the records are filtered all the gross percentages are showed Zero and summed to make total as 100%
Please refer the attachment for more details, working as expected

gabrieljenik

gabrieljenik

2020-08-12 18:10

developer   ~59454

Last edited: 2020-08-13 10:44

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30374

lime_release_bot

lime_release_bot

2020-08-17 14:05

administrator   ~59474

Fixed in Release 4.3.11+200817

Related Changesets

LimeSurvey: master 9aec0b63

2020-08-12 17:57:28

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16326: Statistics filters do not reflect percentages and totals (#1531) Affected Issues
16326
mod - application/helpers/admin/statistics_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-05-23 15:35 tamiel New Issue
2020-05-23 15:35 tamiel File Added: 3_lime.png
2020-05-23 15:35 tamiel File Added: 2_lime.png
2020-05-23 15:35 tamiel File Added: 1_lime.png
2020-05-26 16:16 tamiel Note Added: 58046
2020-06-09 18:01 asshank Note Added: 58227
2020-07-29 22:06 cdorin Priority none => high
2020-07-29 22:06 cdorin Severity feature => block
2020-07-29 22:06 cdorin Status new => confirmed
2020-08-04 18:41 gabrieljenik Note Added: 59303
2020-08-04 19:12 albeda1 Note Added: 59305
2020-08-11 17:02 user225042 Note Added: 59409
2020-08-11 17:02 user225042 File Added: 16326_StatisticsFilter_BeforePR.png
2020-08-11 17:02 user225042 File Added: 16326_StatisticsFilter_AfterPR.png
2020-08-12 18:10 gabrieljenik Changeset attached => LimeSurvey master 9aec0b63
2020-08-12 18:10 gabrieljenik Note Added: 59454
2020-08-12 18:10 gabrieljenik Assigned To => gabrieljenik
2020-08-12 18:10 gabrieljenik Resolution open => fixed
2020-08-13 10:44 swendrich Status confirmed => resolved
2020-08-17 14:05 lime_release_bot Note Added: 59474
2020-08-17 14:05 lime_release_bot Status resolved => closed